post
https://api.staging.fiant.io/v1/transactions//updates
This endpoint allows adding feedback information to an existing transaction. Here are the possible feedback values with their meaning:
| Feedback | Meaning |
|---|---|
ACCEPTED | The transaction was accepted by the processor and is deemed to be in a pending state. This feedback is not a final state and should be followed by antoher feedback such as SETTLED or CANCELLED |
PENDING_SETTLEMENT | A trade transaction is being processed by the processor and is awaiting settlement. |
SETTLED | The transaction was accepted and fully finalized by the processor. The transfer of value has occured. |
CANCELLED | The transaction was accepted but cancelled prior to being settled |
AWAITING_PAYMENT | A deposit transaction is being processed and is in a state where it is waiting for the user to complete the payment by funding the target address provided or making a deposit using the specified payment method. |
REJECTED | The transaction was declined by the processor |
REFUNDED | An intentional, settled transaction was refunded |
CHARGED_BACK | A settled transaction was disputed and refunded |
ERROR | The processor returned an error, the transaction is assumed to be non existent from the processor standpoint |
RETURNED | The transaction could not be processed and will be returned to the originating bank. |